Categories:
  - Internet
License: GPL-3.0-or-later
AuthorName: nekohasekai
AuthorEmail: sekai@neko.services
WebSite: https://sagernet.org/
SourceCode: https://github.com/SagerNet/SagerNet
IssueTracker: https://github.com/SagerNet/SagerNet/issues
Translation: https://hosted.weblate.org/projects/sagernet/

Name: NaïveProxy Plugin - SagerNet
AutoName: Naïve Plugin

RepoType: git
Repo: https://github.com/SagerNet/SagerNet

Builds:
  - versionName: 91.0.4472.77-1-x86
    versionCode: 7
    commit: naive-plugin-91.0.4472.77-1
    subdir: plugin/naive
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroidX86
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - plugin
    ndk: r21e

  - versionName: 91.0.4472.77-1-x64
    versionCode: 8
    commit: naive-plugin-91.0.4472.77-1
    subdir: plugin/naive
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroidX64
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - plugin
    ndk: r21e

  - versionName: 91.0.4472.77-1-arm
    versionCode: 9
    commit: naive-plugin-91.0.4472.77-1
    subdir: plugin/naive
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroidArm
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - plugin
    ndk: r21e

  - versionName: 91.0.4472.77-1-arm64
    versionCode: 10
    commit: naive-plugin-91.0.4472.77-1
    subdir: plugin/naive
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroidArm64
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - plugin
    ndk: r21e

  - versionName: 97.0.4692.71-2
    versionCode: 50
    commit: 1fea08f267364bc7009b161d2eaa145092efc22c
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - external
      - plugin
    ndk: r23b

  - versionName: 98.0.4758.80-1
    versionCode: 55
    commit: 8949632e50ca2938ab5cc5f0bb7c3286b17c8256
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - external
      - plugin
    ndk: r23b

  - versionName: 98.0.4758.80-2
    versionCode: 60
    commit: 2ccc252c97d5d4a72c4e769f41740f42e2b47933
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - external
      - plugin
    ndk: r23b

  - versionName: 99.0.4844.51-1
    versionCode: 65
    commit: e94bafc2fd2eedf26322aa1e2caf2ac242d53046
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - external
      - plugin
    ndk: r23b

  - versionName: 100.0.4896.60-1
    versionCode: 70
    commit: 3e816628d5b5dfa639c05a2fd3670e761f293f9d
    subdir: plugin/naive
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y tcl gettext libcurl4-openssl-dev ninja-build pkg-config
      - apt-get remove -y libc6-i386 --autoremove
    gradle:
      - fdroid
    prebuild:
      - pushd ../..
      - ./run fdroid prebuild_plugin_naive
    scandelete:
      - external
      - plugin
    ndk: r23b

AutoUpdateMode: Version
UpdateCheckMode: Tags ^naive-plugin-.*
VercodeOperation: '%c * 5'
UpdateCheckData: sager.properties|NAIVE_VERSION=(\d+)|.|NAIVE_VERSION_NAME=(.*)
CurrentVersion: 100.0.4896.60-1
CurrentVersionCode: 70
